QGroundControl for Linux

Ground Stations and utilities for Windows, Linux, Android, & others

Re: QGroundControl for Linux

Postby DUKE40 » Thu May 02, 2013 9:55 pm

Hi,

I wanted to compile the new version of the GCS for Linux, but again errors upon compiling:
Start: /usr/bin/make -w
make: Entering directory `/home/duke40/qgroundcontrol'
Makefile:2979: Warning: the commands for the destination »build-release/moc/moc_WaypointViewOnlyView.cpp« are overwritten
Makefile:2976: Warning: old commands for the destination »build-release/moc/moc_WaypointViewOnlyView.cpp« are ignored
/usr/bin/uic-qt4 src/ui/qgcautoquad.ui -o build-release/ui/ui_qgcautoquad.h
uic: Error in line 245, column 79 : Unexpected attribute alignment
File 'src/ui/qgcautoquad.ui' is not valid
make: Leaving directory `/home/duke40/qgroundcontrol'
make: *** [build-release/ui/ui_qgcautoquad.h] Error 1
Finished with return value 2.

Any idea what is wrong? I had a look at the file mentioned in the erro qgcautoquad.ui but could not find any error on line 245.

I would really like to use the latest GCS version.

Thanks and best regards,
DUKE40
Best regards,
Image
Spacewalk 550, MT2216-11, SimonK 20A ESC, AQ6 DIMU, 10x5" CF, SJ4000
CamCruiser, MN3510, ESC32, AQ6 DIMU, 12x4" CF, SimpleBGC, GoPro Hero 3 BE
DUKE40
 
Posts: 364
Joined: Tue Mar 26, 2013 9:49 pm

Re: QGroundControl for Linux

Postby Max » Thu May 02, 2013 10:44 pm

Hi Duke,

Very strange... you definitely have Qt 4.8.4? You can try the attached, but I have a feeling the error will simply move to a different line number...

-Max
Attachments
qgcautoquad.ui.zip
(17.82 KiB) Downloaded 308 times
Max
 
Posts: 2814
Joined: Mon Aug 13, 2012 9:45 pm
Location: Near Ithaca, NY, USA

Re: QGroundControl for Linux

Postby DUKE40 » Fri May 03, 2013 7:23 am

How can I check the Qt version used? Is there a command which returns the version like java -version for java?
Best regards,
Image
Spacewalk 550, MT2216-11, SimonK 20A ESC, AQ6 DIMU, 10x5" CF, SJ4000
CamCruiser, MN3510, ESC32, AQ6 DIMU, 12x4" CF, SimpleBGC, GoPro Hero 3 BE
DUKE40
 
Posts: 364
Joined: Tue Mar 26, 2013 9:49 pm

Re: QGroundControl for Linux

Postby DUKE40 » Fri May 03, 2013 6:10 pm

Hi,

I have checked now the version of Qt instaled and it is the latest available for my Distribution which is 4.4.6.3-4.
No idea how and where I could get the version 4.8.4 for my Linux (Debian Squeeze).
Best regards,
Image
Spacewalk 550, MT2216-11, SimonK 20A ESC, AQ6 DIMU, 10x5" CF, SJ4000
CamCruiser, MN3510, ESC32, AQ6 DIMU, 12x4" CF, SimpleBGC, GoPro Hero 3 BE
DUKE40
 
Posts: 364
Joined: Tue Mar 26, 2013 9:49 pm

Re: QGroundControl for Linux

Postby DUKE40 » Fri May 03, 2013 7:34 pm

I have removed all attributes alignment in the .ui files and could compile GCS without any problem. It runs also correctly and looks usable.
I will work with it and hopefully most of my issues will be solved :oops:
Best regards,
Image
Spacewalk 550, MT2216-11, SimonK 20A ESC, AQ6 DIMU, 10x5" CF, SJ4000
CamCruiser, MN3510, ESC32, AQ6 DIMU, 12x4" CF, SimpleBGC, GoPro Hero 3 BE
DUKE40
 
Posts: 364
Joined: Tue Mar 26, 2013 9:49 pm

Re: QGroundControl for Linux

Postby Max » Sat May 04, 2013 9:22 pm

If there's no Debian package for Qt 4.8.4 (I'd be surprised), you'll need to build the Qt libs from source. It's not hard, just follow the instructions.

-Max
Max
 
Posts: 2814
Joined: Mon Aug 13, 2012 9:45 pm
Location: Near Ithaca, NY, USA

Re: QGroundControl for Linux

Postby GoFaster » Sat May 04, 2013 11:36 pm

I read somewhere that if you change your repo to Wheezy (testing), Qt there is 4.8.x.
GoFaster
 
Posts: 355
Joined: Tue Jul 03, 2012 1:20 pm
Location: Connecticut, USA

Re: QGroundControl for Linux

Postby qalid » Fri Jun 14, 2013 6:42 pm

Hi, I'm on ubuntu, sudo command is succsseful, so is clonning from the link given in the guide:

----------
Reading package lists... Done
Building dependency tree
Reading state information... Done
build-essential is already the newest version.
flite1-dev is already the newest version.
libflite1 is already the newest version.
libphonon-dev is already the newest version.
libphonon4 is already the newest version.
libsdl1.2-dev is already the newest version.
phonon is already the newest version.
phonon-backend-gstreamer is already the newest version.
libopenscenegraph-dev is already the newest version.
qtcreator is already the newest version.
libqt4-dev is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 255 not upgraded.
----

I can't find the pixhawk or libxbee files/directories at all..
I couldn't pass this bit yet.. can someone help please? also can't load the specified path in Qt creator...
qalid
 
Posts: 129
Joined: Tue Jun 04, 2013 4:25 pm

Re: QGroundControl for Linux

Postby Max » Fri Jun 14, 2013 6:50 pm

Xbee is in /libs/thirdParty/libxbee. Not sure what you mean about pixhawk... shouldn't be required to build (some of their stuff was moved to /files_unused a while back). In Creator you should be able to just open the qgroundcontrol.pro file.

-Max
Max
 
Posts: 2814
Joined: Mon Aug 13, 2012 9:45 pm
Location: Near Ithaca, NY, USA

Re: QGroundControl for Linux

Postby qalid » Fri Jun 14, 2013 7:27 pm

Hi Max,

In creator, do I need to "create" a project named qgroundcontrol or open an existing downloaded file. If its the later which I assume, I just can't find that file in my system!

Any guess where did I slipped?

Thanks
qalid
 
Posts: 129
Joined: Tue Jun 04, 2013 4:25 pm

PreviousNext

Return to AQ Software

Who is online

Users browsing this forum: No registered users and 2 guests

cron